Subject: Re: bug#58318: 28.2; Emacs installed from package won't work with MinGW

From: Andrea Corallo <[email-masked]>
Date: Tue, 11 Oct 2022 19:23:54 +0000

Andrea Corallo <[email-masked]> writes:

> Eli Zaretskii <[email-masked]> writes:
>
>>> From: Corwin Brust <[email-masked]>
>>> Date: Fri, 7 Oct 2022 10:52:04 -0500
>>> Cc: Eli Zaretskii <[email-masked]>, [email-masked], [email-masked], 
>>> 	[email-masked]
>>> 
>>> On Fri, Oct 7, 2022 at 9:35 AM Andrea Corallo <[email-masked]> wrote:
>>> >
>>> > >
>>> > > OK, then let's go for precompiling all the trampolines AOT.
>>> >
>>> > The only downside might be build time, compiling a trampoline is quick,
>>> > 1000+ maybe not so much.
>>> >
>>> 
>>> If this will mostly affect those building Windows binaries *for
>>> redistribution*, perhaps it's not a big problem?  Based on my own very
>>> limited testing, it's fine for me.
>>
>> Right, so I think we need a special Makefile target to produce those
>> compiled trampolines (something like "make trampolines"), and that
>> target should be only used manually when building a binary
>> distribution, not when building the release tarball for use on the
>> same machine where it is built.
>>
>> Andrea, could you please come up with a patch for that?  Thanks.
>
> Right, will do.
>
>   Andrea

Okay 3744720904 adds 'trampolines' as target.  The trampolines are
deposed in the 'native-lisp' directory so it will do the job for
packaging the release.  Build time for this target is on my machine ~
1min 30sec.

  Andrea